﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$folder   = "$toolsDir/download"

# download and extract zip setup file
$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    url            = 'https://the-sz.com/common/get.php?product=conroe'
    unzipLocation  = $folder
    checksum       = '2e7d6e0f9bf863f3a904be55270e58c7c25627a5fa553dbc28c6797b54fd164b'
    checksumType   = 'sha256'
}
Install-ChocolateyZipPackage @packageArgs

# install setup
$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    fileType       = 'exe'
    silentArgs     = '/SILENT'
    file           = "$folder/ConroeSetup.exe"
    validExitCodes = @(0)
}
Install-ChocolateyInstallPackage @packageArgs

# delete downloaded files
Remove-Item "$folder/*.*"
Remove-Item "$folder"
